Ask Your Question
0

Why the following args could not be parsed as stacks

asked 2013-01-17 11:17:50 -0500

danielhn1992 gravatar image

Hello, My name is Daniel Holanda. I'm a beginner using ROS and I have a problem that might be simple to solve. I'm trying to install pocketsphinx using the tutorial at pirobot.org/blog/0022/ When I type "rosmake --rosdep-install pocketsphinx" I have the following problem:

[ rosmake ] Packages requested are: ['pocketsphinx']
[ rosmake ] Logging to directory/home/daniel/.ros/rosmake/rosmake_output-20130117-180252 [ rosmake ] Expanded args ['pocketsphinx'] to: []
[ rosmake ] WARNING: The following args could not be parsed as stacks or packages: ['pocketsphinx'] [ rosmake ] ERROR: No arguments could be parsed into valid package or stack names.

I'm using Ubuntu 11.10 Gnome and Ros Electric.

Thank you for the help,

Dan

edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
1

answered 2013-01-18 02:15:08 -0500

tbh gravatar image

Hi, this is the same issue as this question, and strangely enough, the same exact package. ROS doesn't know where to look for the package you downloaded. You have to set the environment variable ROS_PACKAGE_PATH to tell it where to look. Read about environment variables here. Note that once you switch to the new ROS version, groovy, you won't have to do this.

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

Stats

Asked: 2013-01-17 11:17:50 -0500

Seen: 4,932 times

Last updated: Jan 18 '13